petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerSocketSetConnection

Sets the machine and port that a PETSc socket viewer is to use

### Synopsis

    PetscErrorCode  PetscViewerSocketSetConnection(PetscViewer v,const char machine[],int port)

Logically Collective on PetscViewer

### Input Parameters

| v | - viewer to connect
| machine | - host to connect to, use NULL for the local machine,use "server" to passively wait for a connection from elsewhere
| port | - the port on the machine one is connecting to, use PETSC_DEFAULT for default

### See Also

PetscViewerSocketOpen()

### Level

advanced

### Location

src/sys/classes/viewer/impls/socket/send.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages